Runtime

## org.eclipse.gmf.runtime.diagram.core.edithelpers
Class CreateElementRequestAdapter

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.core.edithelpers.CreateElementRequestAdapter

All Implemented Interfaces:
  IAdaptable, IProxyEObject

    public class CreateElementRequestAdapter

extends java.lang.Object
implements IAdaptable, IProxyEObject

Descriptor for a create element request that can adapt to the request type, the container element and the element type to be created.

Constructor Summary
`CreateElementRequestAdapter(CreateElementRequest createElementRequest)` Constructs a new adapter.

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`java.lang.Object` `getProxyClassID()` Obtains the ID (fully-qualified name) of the `EClass` of the proxy object.
`org.eclipse.emf.ecore.EObject` `resolve()` Resolves the proxy.
`void` `setNewElement(org.eclipse.emf.ecore.EObject newElement)` Sets the new element that has been created in response to this request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateElementRequestAdapter

    public CreateElementRequestAdapter(CreateElementRequest createElementRequest)

  Constructs a new adapter.

  Parameters:
    `createElementRequest` - the request to create a new element.

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `IAdaptable`

### setNewElement

    public void setNewElement(org.eclipse.emf.ecore.EObject newElement)

  Sets the new element that has been created in response to this request.

  Parameters:
    `newElement` - the new element

### getProxyClassID

    public java.lang.Object getProxyClassID()

  Description copied from interface: `IProxyEObject`
  Obtains the ID (fully-qualified name) of the `EClass` of the proxy object.

  Specified by:
    `getProxyClassID` in interface `IProxyEObject`
  Returns:
    the `EClass` ID (must not be `null`)
  See Also:
    `ProxyUtil#getProxyClassID(EObject)`

### resolve

    public org.eclipse.emf.ecore.EObject resolve()

  Description copied from interface: `IProxyEObject`
  Resolves the proxy.

  Specified by:
    `resolve` in interface `IProxyEObject`
  Returns:
    the resolved object, or `null` if the proxy could not be resolved
  See Also:
    `ProxyUtil#resolve(EObject)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.